Bug 627832 - [RFE] guestfish should print outputs in a suitable base (eg. octal for modes)
[RFE] guestfish should print outputs in a suitable base (eg. octal for modes)
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: libguestfs (Show other bugs)
6.1
All Linux
low Severity low
: rc
: ---
Assigned To: Richard W.M. Jones
Virtualization Bugs
: FutureFeature
Depends On: 582891 583242 613593
Blocks:
  Show dependency treegraph
 
Reported: 2010-08-27 01:13 EDT by Jinxin Zheng
Modified: 2015-09-27 22:25 EDT (History)
6 users (show)

See Also:
Fixed In Version: libguestfs-1.7.17-4.el6
Doc Type: Enhancement
Doc Text:
Some guestfish commands print integer results. In some cases, namely for file permissions, the natural radix for these results is octal. Instead, guestfish returned decimal integer results for commands such as umask. This has been corrected, and guestfish commands that return integers now return them in the natural radix for that number.
Story Points: ---
Clone Of: 583242
Environment:
Last Closed: 2011-05-19 07:45:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jinxin Zheng 2010-08-27 01:13:50 EDT
Clone to RHEL 6 to ensure it will get fixed in 6.1.

+++ This bug was initially created as a clone of Bug #583242 +++

+++ This bug was initially created as a clone of Bug #582891 +++

Description of problem:
1. umask should return the current umask when called with no parameter, and should set the umask when it is called with a parameter. It can only return the previous umask but not the current umask. Or There should be a separate cmd to provide this feature(like " mount"/"mounts")

2. the return value should be more human readable.
The return value now is just calculate the oct bit value, which is very confused.
e.g. 
current return value is 18 for mode 022, instead of "022" or "0022"
022->000 010 010->2^1+2^4->18


Version-Release number of selected component (if applicable):
libguestfs-1.0.85-1.fc12.3.x86_64,  latest git version

How reproducible:
100%

Steps to Reproduce:
1.
2.
3.

--- Additional comment from rjones@redhat.com on 2010-04-17 17:36:15 EDT ---

Fix posted upstream:
http://git.annexia.org/?p=libguestfs.git;a=commitdiff;h=4f376dbafb78ee9b5ad1652360472a14de64753d
Comment 1 Richard W.M. Jones 2010-10-16 09:35:54 EDT
Setting version to 6.1.
This will be fixed by a rebase (bug 613593).
Comment 2 Richard W.M. Jones 2011-01-04 09:09:43 EST
Fixed by the rebase.
Comment 4 Yufang Zhang 2011-02-14 22:04:10 EST
QA verified this bug with libguestfs-1.7.17-12.el6.x86_64 and
guestfish-1.7.17-12.el6.x86_64:

><fs> umask 0022
022
><fs> get_umask
022
><fs> umask 0024
022
><fs> get-umask 
024

So change this bug to VERIFIED.
Comment 7 Laura Bailey 2011-04-18 21:36:47 EDT
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
Some guestfish commands print integer results. In some cases, namely for file permissions, the natural radix for these results is octal. Instead, guestfish returned decimal integer results for commands such as umask. This has been corrected, and guestfish commands that return integers now return them in the natural radix for that number.
Comment 8 Richard W.M. Jones 2011-04-19 03:39:18 EDT
This is OK, thanks.
Comment 9 errata-xmlrpc 2011-05-19 07:45:35 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2011-0586.html
Comment 10 errata-xmlrpc 2011-05-19 09:10:27 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2011-0586.html

Note You need to log in before you can comment on or make changes to this bug.